#### D.15.1.15 arrCoordNormalize

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrCoordChange(A, v);

Return:
  [arr]: Arrangement after a coordinate change that transforms the arrangement such that after a tranformation x -> Tx + c we have the arrangement has the matrix representation [AT^-1|b+AT^-1c] such that [AT^-1]_v = I and [b+AT^-1c]_v = 0;

Note:
  algorith performs a base change if H_k is homogenous (i.e. has no) constant term and an affine transformation otherwise
  Ax+b = 0, Transformation x = Ty+c: AT^-1y + AT^-1c + b = 0 Now we want to have (AT^-1)_v = I and (AT^-1c +b)_v = AT^-1_v*c + b_v = 0

Example:

    LIB "arr.lib";
    ring r = 0,(x,y,z),lp;
    arr A = ideal(x,y,z,x+z+4);
    intvec v = 1,2,4;
    arrCoordNormalize(A,v);
    ==> _[1]=x
    ==> _[2]=y
    ==> _[3]=-x+z-4
    ==> _[4]=z
    ==>

See also: arrCoordChange; arrCoordNormalize.

User manual for Singular version 4-0-3, 2016, generated by texi2html.